Bug 1298301 - Review Request: nodejs-spdx-correct - Correct invalid SPDX identifiers
Review Request: nodejs-spdx-correct - Correct invalid SPDX identifiers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1298307 1298269
Blocks: nodejs-reviews 1298310
  Show dependency treegraph
 
Reported: 2016-01-13 12:13 EST by Jared Smith
Modified: 2016-01-15 07:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 07:47:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2016-01-13 12:13:29 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-spdx-correct/nodejs-spdx-correct.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-spdx-correct/nodejs-spdx-correct-1.0.2-1.fc24.src.rpm
Description: Correct invalid SPDX identifiers
Fedora Account System Username: jsmith
Comment 1 Jared Smith 2016-01-13 12:38:35 EST
This package also depends on a newer version of nodejs-spdx-license-ids.
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-13 16:26:43 EST
%description should start with a capital letter and end with a dot.
Please put something there that it not the same as %summary.

+ license is OK (apache 2.0)
+ license is specified correctly
+ latest version
+ builds and installs OK
+ spec file looks fine
+ fedora-review is happy
+ provides/requires look sane

rpmlint is OK:
nodejs-spdx-correct.noarch: W: only-non-binary-in-usr-lib
nodejs-spdx-correct.noarch: W: dangling-symlink /usr/lib/node_modules/spdx-correct/node_modules/spdx-license-ids /usr/lib/node_modules/spdx-license-ids
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Package is APPROVED.
Comment 3 Patrick Uiterwijk 2016-01-14 18:16:59 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-spdx-correct

Note You need to log in before you can comment on or make changes to this bug.